<?php

// Featured Posts Widget.
require get_template_directory() . '/inc/widgets/featured-posts-widget.php';

// Grid Posts Widget.
require get_template_directory() . '/inc/widgets/grid-posts-widget.php';

// Express List Widget.
require get_template_directory() . '/inc/widgets/express-list-widget.php';

// Posts Tabs Widget.
require get_template_directory() . '/inc/widgets/posts-tabs-widget.php';

// Posts Carousel Widget.
require get_template_directory() . '/inc/widgets/posts-carousel-widget.php';

// Most Read Widget.
require get_template_directory() . '/inc/widgets/most-read-widget.php';

// Social Widget.
require get_template_directory() . '/inc/widgets/social-widget.php';

/**
 * Register Widgets
 */
function updated_news_register_widgets() {

	register_widget( 'Updated_News_Featured_Posts_Widget' );

	register_widget( 'Updated_News_Grid_Posts_Widget' );

	register_widget( 'Updated_News_Express_List_Widget' );

	register_widget( 'Updated_News_Posts_Tabs_Widget' );

	register_widget( 'Updated_News_Posts_Carousel_Widget' );

	register_widget( 'Updated_News_Most_Read_Widget' );

	register_widget( 'Updated_News_Social_Widget' );

}
add_action( 'widgets_init', 'updated_news_register_widgets' );
